include:
  - template: 'Workflows/Branch-Pipelines.gitlab-ci.yml'

default:
  image: registry.gitlab.com/centos/kmods/ci-image:latest

variables:
  GIT_STRATEGY: none
  EL: 8
  REPO: packages-main

stages:
  - build

cbs:
  rules:
    - if: $CI_PIPELINE_SOURCE == "schedule"
      when: never
    - if: $CI_COMMIT_REF_PROTECTED == "true" && $CI_PROJECT_NAMESPACE =~ /CentOS\/kmods\/.*/
  stage: build
  script:
    - cbs version
    - git clone --quiet --depth 1 --branch $CI_COMMIT_REF_NAME --single-branch $CI_REPOSITORY_URL .
    - NAME=$(rpmspec -q --srpm --define "dist .el$EL" --queryformat='%{name}\n' *.spec)
    - NVR=$(rpmspec -q --srpm --define "dist .el$EL" --queryformat='%{name}-%{version}-%{release}\n' *.spec)
    - 'cbs buildinfo $NVR 2>/dev/null | grep >/dev/null "State: COMPLETE" || cbs --cert=$CBS build --wait kmods$EL-$REPO-el$EL git+$CI_PROJECT_URL\#$CI_COMMIT_SHA'
    - TAGS+=kmods${EL}-$REPO-release
    - |
      if cbs list-tagged --quiet kmods${EL}-$REPO-candidate $NAME | awk '{print $1}' | grep >/dev/null "^$NVR\$"
      then
        for TAG in ${TAGS[@]}
        do
          cbs list-tagged --quiet $TAG $NAME | awk '{print $1}' | grep >/dev/null "^$NVR\$" || cbs --cert=$CBS tag-build --wait $TAG $NVR
        done
      fi
